캠페인 상태 액션 (시작·일시정지·재개·종료)
PUT
/api/core/organization/{organizationId}/campaign/{campaignId}/{action}
const url = 'https://www.easterad.com/api/core/organization/example/campaign/example/CAMPAIGN_ACTION_START';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"reason":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://www.easterad.com/api/core/organization/example/campaign/example/CAMPAIGN_ACTION_START \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "reason": "example" }'Authorizations
섹션 제목: “Authorizations”Parameters
섹션 제목: “Parameters”Path Parameters
섹션 제목: “Path Parameters”Request Bodyrequired
섹션 제목: “Request Bodyrequired”Media typeapplication/json
object
reason
string
Examplegenerated
{ "reason": "example"}Responses
섹션 제목: “Responses”200
섹션 제목: “200”성공
Media typeapplication/json
object
_id
required
string
organizationId
required
string
campaignId
required
string
statusFrom
required
statusTo
required
actorId
string
reason
string
createdAt
required
string
Example
{ "action": "CAMPAIGN_ACTION_START", "statusFrom": "CAMPAIGN_STATUS_PENDING", "statusTo": "CAMPAIGN_STATUS_PENDING"}default
섹션 제목: “default”오류 — 공통 오류 응답. 인증 단계 오류 코드는 문서의 “인증” 페이지를 참조.
Media typeapplication/json
object
statusCode
required
number
code
required
BadRequest | Unauthorized | Forbidden | NotFound | Conflict | TooManyRequests | InternalServerError | ServiceUnavailable
string
message
required
string
reason
선택 상세 사유. 예: CREATIVE_NOT_READY
string
assetId
관련 소재 ID (선택)
string
Examplegenerated
{ "statusCode": 1, "code": "example", "message": "example", "reason": "example", "assetId": "example"}